<body>
    
    <label for="claims"></label>

<div id="navBtn">
<button id="fetchBtn" type="submit" class="btn btn-primary" (click)="fetchClaims()">Fetch</button> 
<button id="pendingBtn" type="submit" class="btn btn-primary" (click)="fetchClaimsByStatus('pending')">Pending</button>
<button id="approvedBtn" type="submit" class="btn btn-primary" (click)="fetchClaimsByStatus('approved')">Approved</button>
<button id="deniedBtn" type="submit" class="btn btn-primary" (click)="fetchClaimsByStatus('denied')">Denied</button>
</div>
<label for="claims"></label>
<table class="table table-bordered table-striped">

    
<tr>
    <th>Claim Id</th>
    <th>Description</th>
    <th>Amount</th>
    <th>Date</th>
    <th>Status</th>
    <th>User Id</th>
    <th>First Name</th>
    <th>Last Name</th>
</tr>
  
<tr *ngFor ="let c of claims">
    <td>{{ c.claimId }}</td>
    <td>{{ c.description }}</td>
    <td>{{ c.amount }}</td>
    <td>{{ c.date }}</td>
    <td>{{ c.status }}</td>
    <td>{{c.user.userId}}</td>
    <td>{{c.user.firstName}}</td>
    <td>{{c.user.lastName}}</td>
</tr>
</table>
<form [formGroup]="updateForm" (ngSubmit)="updateClaims(updateForm.value)">

<label for="claimId">Identification Number: </label>
<input type="number" name="claimId" formControlName="claimId">
<br>
<br>
<label for="status">New status:</label>
<select type="text" name="status" formControlName="status">
    <option value="approved">Approved</option>
    <option value="denied">Denied</option>
</select>    
<br>
<br>
<button id="updateBtn" class="btn btn-primary" type="submit" >Update</button>
</form>

<label for="claims"></label>
</body>